Name:           chinese-calendar
Version:        1.0.2
Release:        1%{?dist}
Summary:        A Chinese traditional calendar of UbuntuKylin
License:        GPLv3
URL:            https://launchpad.net/chinese-calendar
Source0:        https://launchpad.net/chinese-calendar/1.0/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:         0002-Unbundle-QtSingleApplication.patch
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  qt4-devel
BuildRequires:  qtsingleapplication-devel

%description
This is a Chinese traditional calendar for UbuntuKylin. In line with the 
Chinese habit，it can help users to query date conveniently.

%prep
%setup -q
%patch0 -p1
rm -rf qtsingleapplication

%build
%qmake_qt4
%make_build

%install
make install INSTALL_ROOT=%{buildroot}

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p %{buildroot}%{_datadir}/appdata
cat > %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Ryan Lerch <rlerch@redhat.com> -->
<!--
BugReportURL: https://bugs.launchpad.net/chinese-calendar/+bug/1322680
SentUpstream: 2014-09-17
-->
<application>
  <id type="desktop">chinese-calendar.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Chinese traditional calendar</summary>
  <description>
    <p>
      Chinese Calendar is a calendar application tailored to Chinese users. It allows you to easily
      find the names and dates of festivals and also query solar terms typically used in China.
    </p>
  </description>
  <url type="homepage">https://launchpad.net/chinese-calendar</url>
  <screenshots>
    <screenshot type="default">http://assets.ubuntu.com/sites/ubuntu/1138/u/img/desktop/image-chinese-lunar-calendar.png</screenshot>
  </screenshots>
</application>
EOF

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/*.appdata.xml

%files
%doc COPYING
%exclude %{_sysconfdir}/xdg/autostart/*.desktop
%{_bindir}/chinese-calendar-autostart
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/chinesecalendar-64.png

%changelog
* Sat Jun 20 2015 Christopher Meng <rpm@cicku.me> - 1.0.2-1
- Update to 1.0.2

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.8.1-5
- Rebuilt for GCC 5 C++11 ABI change

* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 0.8.1-4
- Add an AppData file for the software center

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 13 2014 Christopher Meng <rpm@cicku.me> - 0.8.1-1
- Update to 0.8.1(BZ#1064175)
- Use system QtSingleApplication(BZ#1064645)

* Mon Aug 26 2013 Christopher Meng <rpm@cicku.me> - 0.8.0-1
- Update to 0.8.0

* Mon Aug 05 2013 Christopher Meng <rpm@cicku.me> - 0.7.9-1
- Update to 0.7.9

* Fri Jun 21 2013 Christopher Meng <rpm@cicku.me> - 0.7.8-1
- Update to 0.7.8

* Sat Mar 16 2013 Christopher Meng <rpm@cicku.me> - 0.7.4-1
- Initial Package.
